summaryrefslogtreecommitdiff
path: root/config
diff options
context:
space:
mode:
Diffstat (limited to 'config')
-rwxr-xr-xconfig/herbstluftwm/autostart2
-rwxr-xr-xconfig/xss-lock/tranfer-sleep-lock-slock-dvs.sh15
2 files changed, 16 insertions, 1 deletions
diff --git a/config/herbstluftwm/autostart b/config/herbstluftwm/autostart
index 8473d35..09fe470 100755
--- a/config/herbstluftwm/autostart
+++ b/config/herbstluftwm/autostart
@@ -115,7 +115,7 @@ hc keybind $Mod-Return spawn urxvt
hc keybind $Mod-backslash spawn dmenu_run -i -b -nb '#454545' -nf '#9fbc00' -sb '#9fbc00' -sf '#454545' -p 'exec:'
hc keybind $Mod-semicolon spawn /usr/share/doc/herbstluftwm/examples/herbstcommander.sh
hc keybind $Mod-Print spawn scrot
-hc keybind $Mod-Shift-apostrophe spawn slock
+hc keybind $Mod-Shift-apostrophe spawn loginctl lock-session
hc mousebind $Mod-Button1 move
hc mousebind $Mod-Button2 zoom
diff --git a/config/xss-lock/tranfer-sleep-lock-slock-dvs.sh b/config/xss-lock/tranfer-sleep-lock-slock-dvs.sh
new file mode 100755
index 0000000..1cb3fed
--- /dev/null
+++ b/config/xss-lock/tranfer-sleep-lock-slock-dvs.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+if [[ -e "/dev/fd/${XSS_SLEEP_LOCK_FD:--1}" ]]; then
+ pid="$(slock -kfp {XSS_SLEEP_LOCK_FD}<&-)"
+ trap "kill ${pid}" TERM INT
+ exec {XSS_SLEEP_LOCK_FD}<&-
+
+ waitpid "${pid}" &
+ wait
+else
+ trap 'kill %%' TERM INT
+ slock -k &
+
+ wait
+fi